<?php
if (function_exists('register_sidebars'))
register_sidebar( array ('name'=>'Sidebar380px', 'id'=>'sidebar380px', 'before_title'=>"<h3>", 
'after_title'=>" </h3>\n", 'before_widget' => '<li>', ' after_widget' => "</li>"  ));

function new_excerpt_length($length) {
	return 80;
}

require_once(TEMPLATEPATH.'/scripts/wp-pagenavi.php');

/* 
 *  Theme opsions
 *  http://fearlessflyer.com/2009/08/get-kubrick-on-crack/
 */


$themename = "MT White";
$shortname = "white";

$options = array (
    array(	"type" => "open"),

	array(	"name" => "About",
			"type" => "title"),			
			
    array(	"name" => "Name",
			"desc" => "",
			"id" => $shortname."_name",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "E-mail",
			"desc" => "",
			"id" => $shortname."_mail",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "Website",
			"desc" => "For example:tommek.eu",
			"id" => $shortname."_www",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "Image",
			"desc" => "Paste the url to the image(80x90px).",
			"id" => $shortname."_img",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "\"About\" text",
			"desc" => "",
			"std" => "",
            "id" => $shortname."_message",
            "type" => "text"),
	
	
	array(	"type" => "close"),
	
	array(	"type" => "open"),
			
    array(	"name" => "Social media",
			"type" => "title"),			
			
	array(  "name" => "Twitter",
			"desc" => "\"Twitter\"- username.",
            "id" => $shortname."_twett",
            "type" => "text"),
			
	array(  "name" => "Facebook",
			"desc" => "\"Facebook\"- username.",
            "id" => $shortname."_facebook",
            "type" => "text"),
			
	array(  "name" => "Flickr ID",
			"desc" => "\"Flickr\"- ID.",
            "id" => $shortname."_flickr",
            "type" => "text"),
			
	array(  "name" => "YouTube",
			"desc" => "\"YouTube\"- username.",
            "id" => $shortname."_youtube",
            "type" => "text"),
			
    array(  "name" => "Linkedin",
			"desc" => "\"Linkedin\"- username.",
            "id" => $shortname."_link",
            "type" => "text"),
			
	array(  "name" => "Last FM",
			"desc" => "\"Last FM\"- username.",
            "id" => $shortname."_last",
            "type" => "text"),
			
	array(  "name" => "Delicious",
			"desc" => "\"Delicious\"- username.",
            "id" => $shortname."_del",
            "type" => "text"),		
			
	array(  "name" => "Blogger",
			"desc" => "\"Blogger\"- wesite.",
            "id" => $shortname."_blogger",
            "type" => "text"),
			
	array(  "name" => "Wordpress",
			"desc" => "\"Wordpress\"- wesite.",
            "id" => $shortname."_wordpress",
            "type" => "text"),
			
	array(  "name" => "BehanceNetwork",
			"desc" => "\"BehanceNetwork\"- username.",
            "id" => $shortname."_be",
            "type" => "text"),			
			
	array(	"type" => "close"),
	
	array(	"type" => "open"),
			
    array(	"name" => "Other",
			"type" => "title"),				

	array(	"name" => "Header image",
			"desc" => "Paste the url to the image.",
			"id" => $shortname."_headerimg",
			"std" => "",
			"type" => "text"),
			
	array(	"name" => "Disable \"Blogroll\"",
			"desc" => "",
			"id" => $shortname."_blogroll",
			"std" => "",
			"type" => "checkbox"),
					

			
	array(	"type" => "close")
	
);

function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } 
					else { delete_option( $value['id'] ); } }

                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", "".$themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>
<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>

<form method="post">

<?php foreach ($options as $value) { 
    
	switch ( $value['type'] ) {
case "open": ?>
 <div  style="background-color:#eef5fb; width:900px; border:1px solid #DFDFDF; float:left; font-family:Verdana, Arial, Helvetica, sans-serif; ">
<?php break; case "close": ?></div>
<?php break; case "title": ?>

<div  style="background-color:#F1F1F1; border-bottom:1px solid #DFDFDF; width:880px; float:left; padding:0 10px;">
<h3 style="float:left"><?php echo $value['name']; ?></h3>
</div>
<?php break; case 'text': ?>
<div style="float:left; width:278px;  padding:10px;">
<strong><?php echo $value['name']; ?></strong>
<p><input style="width:200px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>"
 value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" /></p>
<small style="float:left; width:300px;"><?php echo $value['desc']; ?></small>
 </div>
		<?php  break; case 'textarea': ?>
<div style="float:left; width:556px;  padding:10px;">
<p><strong><?php echo $value['name']; ?></strong></p>
<p><textarea cols="" rows="" name="<?php echo $value['id']; ?>" style="width:550px; height:300px;" type="<?php echo $value['type']; ?>" >  
<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?></textarea>
</p>
<small style="float:left; width:300px;"><?php echo $value['desc']; ?></small>
 </div>
		<?php  break; case 'select': ?>
<div style="float:left;  width:278px; padding:10px;">
<strong style="float:left; ;"><?php echo $value['name']; ?></strong>
<p style="float:left; width:200px;"><select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php foreach ($value['options'] as $option) { ?><option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } 
elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option><?php } ?></select>
</p>
<small style="float:left; width:300px;"><?php echo $value['desc']; ?></small>
</div>
<?php  break; case "checkbox": ?>
<div style="float:left; width:278px;  padding:10px;">
<strong><?php echo $value['name']; ?></strong>
<p><? if(get_settings($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?></p>
<p><input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" 
<?php echo $checked; ?> />
</p>
<small><?php echo $value['desc']; ?></small>
 </div>       
 <?php 		break;
} 
}
?>

<!--</div>-->

<p class="submit" style="float:left; width:90%; ">
<input name="save" type="submit" value="<?php _e('Save changes'); ?>" />    
<input type="hidden" name="action" value="<?php _e('save'); ?>" />
</p>
</form>
<form method="post" style="float:left; width:90%; ">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

add_action('admin_menu', 'mytheme_add_admin'); 

?>
