<?php include (TEMPLATEPATH.'/scripts/loop.php'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes();?>>
    <head profile="http://gmpg.org/xfn/11">
        <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<?php
if(isset($_GET['author_name'])) :
$curauth = get_userdatabylogin($author_name);
else :
$curauth = get_userdata(intval($author));
endif; ?>
<title>
<?php if ( is_home() ) { ?><?php bloginfo('name'); ?> | <?php bloginfo('description'); ?><?php } ?>
    <?php if ( is_search() ) { ?><?php the_search_query(); ?> | <?php _e('Search Results'); ?><?php } ?>
    <?php if ( is_author() ) { ?><?php echo $curauth->display_name;  ?> | <?php _e('Author Archives'); ?><?php } ?>
    <?php if ( is_single() || is_page() ) { ?><?php wp_title(''); ?> | <?php bloginfo('name'); ?><?php } ?>
    <?php if ( is_category() ) { ?><?php single_cat_title(); ?> | <?php _e('Category'); ?> | <?php bloginfo('name'); ?><?php } ?>
    <?php if ( is_month() ) { ?><?php the_time('F Y'); ?> | <?php _e('Archives'); ?> | <?php bloginfo('name'); ?><?php } ?>
    <?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><?php  single_tag_title("", true); ?> | Tag <?php _e('Archives'); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?> 
	<?php } } ?>
</title>
        <link href="<?php bloginfo('template_directory'); ?>/scripts/960.css" type="text/css" media="screen" charset="utf-8" rel="stylesheet" />  
	    <link href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" charset="utf-8" rel="stylesheet" />
        <link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
        <link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
        <link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
        <?php wp_get_archives('type=monthly&format=link');?>
        <?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
        <?php wp_head(); ?>
  		 <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/scripts/yetii-min.js"></script>
<!--[if lt IE 7]> <style type="text/css" media="screen">
body{behavior:url(<?php bloginfo('template_directory'); ?>/scripts/csshover.htc)} </style><![endif]-->
</head> 
<body>
<div id="header">  
 <div class="container_12">   
 <?php  if (is_home()) { ?>	
<?php  if ($white_headerimg) { ?>
<h1><a href="<?php echo get_settings('home'); ?>">
	<img src="<?php echo $white_headerimg; ?>" alt="<?php bloginfo('name'); ?>" /></a></h1>									   
<?php } else { ?> 
<h1><a href="<?php echo get_settings('home'); ?>"><?php bloginfo('name'); ?></a></h1>
<?php } } else { ?> 
<?php  if ($white_headerimg) { ?>
<h2><a href="<?php echo get_settings('home'); ?>">
	<img src="<?php echo $white_headerimg; ?>" alt="<?php bloginfo('name'); ?>" /></a></h2>									   
<?php } else { ?> 
<h2><a href="<?php echo get_settings('home'); ?>"><?php bloginfo('name'); ?></a></h2>
<?php } } ?> 

<div class="clear"></div>	
</div>
</div>
<div id="nav" >	
<div class="container_12">
<ul>
<li <?php if (is_home()) { echo "class=\"current_page_item\"";} ?> ><a href="<?php echo get_settings('home'); ?>/" title="<?php _e('Home'); ?>"><?php _e('Home'); ?></a></li>
<?php wp_list_pages('title_li=&sort_column=menu_order&depth=2'); ?>
</ul>
<a class="rss" href="<?php bloginfo('rss2_url'); ?>" title="<?php _e('Syndicate this site using RSS'); ?>">
	<img src="<?php bloginfo('template_directory'); ?>/img/rss.jpg" alt="<?php _e('Syndicate this site using RSS'); ?>"   />
</a>
<form  id="searchform" method="get" action="<?php bloginfo('home'); ?>">
   <p><input type="submit" value="<?php _e('Search'); ?>" />
     <input type="text" name="s" id="s" size="15" />
	 
   </p>
</form>
<div class="clear"></div>
</div>
</div>


