<?php
get_header();
?>
<div id="wrapper" class="container_12">
<div class=" grid_7">
	<?php if (is_tag()) { ?>
<h1 class="title"> <?php _e('Tags'); ?>: <?php single_tag_title(); ?></h1>
<?php } elseif (is_category()) { ?>
<h1 class="title"> <?php _e('Categories'); ?>: <?php single_cat_title(); ?></h1>
<?php } elseif (is_archive()) { ?>
<h1 class="title"><?php _e('Archives'); ?>: <?php single_month_title(' ') ?></h1>
<?php } elseif (is_search()) { ?>
<h1 class="title"><?php _e('Search'); ?>: <?php the_search_query(); ?></h1>
<?php } ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
<div <?php post_class() ?> >
<div class="title">  
<strong> <?php the_time('j M Y') ?>,  
 <?php comments_popup_link(__('Comments (0)'), __('Comments (1)'), __('Comments (%)')); ?></strong>
<h2><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
<strong><?php _e('Author'); ?>: <?php the_author_link(); ?> <?php edit_post_link(__('Edit This')); ?></strong>	
</div>	
<div class="entry">	
<?php the_content(__('(more...)')); ?>
<p><?php wp_link_pages(); ?></p>	
</div>
<ul class="title">
	<li><?php _e('Categories'); ?>: <br /><?php the_category(',') ?></li>
   <?php if (get_the_tags()) { ?> <li><?php _e('Tags'); ?>: <br /><?php the_tags('', ', ', '');  ?> 
   </li><?php } ?>
</ul>
</div><?php comments_template(); ?>
<?php endwhile; else: ?>
<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
<?php endif; ?>
<?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } else { ?>
<div class="wp-pagenavi">
<?php posts_nav_link(' &nbsp;&nbsp;&nbsp; ', __('&#171; Previous Page'), __('Next Page &#187;'));  ?>
</div>
<?php } ?>
</div>         
<?php get_sidebar(); ?>			
<div class="clear"></div>			
</div>
<div class="clear"></div>
<?php get_footer(); ?>
        

